
<?php
function tiempoTrans($fi,$ff)
{				
$tiempo=array();
$fecha1 = new DateTime($fi);
$fecha2 = new DateTime($ff);
$fecha = $fecha1->diff($fecha2);
printf('%d años, %d meses, %d días, %d horas, %d minutos', $fecha->y, $fecha->m, $fecha->d, $fecha->h, $fecha->i);
$tiempo[0] = $fecha->y;
$tiempo[1] = $fecha->m;
$tiempo[2] = $fecha->d;
return $tiempo;
}
$tiempo = tiempoTrans("2016-09-29","2018-08-02");
echo $tiempo[0];
echo $tiempo[1];
echo $tiempo[2];
?>